Subject: [clisp-list] handler-case errors

From: Erik Arneson <[email-masked]>
Date: Sun Oct 21 21:17:28 2001

Hi everybody,

I've got a long-running network app -- actually an IRC bot -- that I
like to reprogram on the fly via special read commands.  I am
currently catching `stream-error' via `handler-case' so I can
gracefully recover from socket errors, but I need to be able to
differentiate those stream errors from the stream errors caused by
`read'.  Is there an easy way to do this?

I was thinking I could always wrap the `read' itself in its own
`handler-case', but if there's a special error that read triggers, I'd
much rather keep everything in one clause.

Any ideas?  Where can I get a list of errors and what triggers them?

-- 
> Erik Arneson <[email-masked]>      MM, Ashland Lodge No. 23 <
> GPG Key ID: 1024D/43AD6AB8    RAM, Siskiyou Chapter No. 21 <
> <http://erik.arneson.org/>     <http://www.aarg.net/mason> <